$(document).ready(function () {
    $('[data-toggle="popover-hover"]').popover({
        animation: true,
        html: true,
        trigger: 'hover',
        delay: {
            show: "500",
            hide: "250"
        }
    });

    $('div.invalid-feedback').each(function () {
        if (!$(this).hasClass("input-validator-checked")) {
            if ($(this).text().trim() != "") {
                $(this).addClass("d-block");
                $(this).parents('div.input-container').find(".input-validator").addClass('is-invalid');
            }

            $(this).addClass("input-validator-checked");
        }
    });

    $('input[type="checkbox"].table-check-all').on("click", function () {
        var checked = $(this).is(':checked');

        $(this).closest("table").find('input[type="checkbox"].table-check-me').prop("checked", checked);
    });
});